dots.v2.databases.byDatabase_cluster_uuid().sql_mode.get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).sql_mode.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Sql_mode>Description
To retrieve the configured SQL modes for an existing MySQL cluster, send a GET request to /v2/databases/{database_cluster_uuid}/sql_mode.
The response will be a JSON object with a sql_mode key. This will be set to a string representing the configured SQL modes.
Parameters
database_cluster_uuidstring requiredExample:
9cc10173-e9ea-4176-9dbc-a4cee4c4ff30A unique identifier for a database cluster.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/sql_mode in the API reference for additional detail on responses, headers, parameters, and more.